> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 비교 모델 출력 보장

> 누락된 검증 출력만 큐에 추가하고 조건에 맞는 캐시된 생성 결과를 재사용합니다.



## OpenAPI

````yaml ko/openapi/model-distillation/management.openapi.yaml POST /tasks/{alias}/datasets/{datasetId}/comparison-outputs
openapi: 3.1.0
info:
  title: CoreWeave Model Distillation Management API
  version: 1.0.0
  description: |
    공급자, 프로젝트 (API 경로에서는 tasks라고 함), 라우팅 버전,
    데이터셋, 레이블 재지정, 미세 조정 모델, 평가, 분석을 관리하세요. 이 API는
    Model Distillation에서 사용하는 API와 동일합니다.
servers:
  - url: https://distillation.training.wandb.ai/v1
    description: 프로덕션
security:
  - WandbCredential: []
tags:
  - name: Providers
    description: OpenAI 호환 엔드포인트, 인증 정보, 모델 카탈로그 및 가격.
  - name: Tasks
    description: 안정적인 작업 ID와 작업 수준 정보입니다.
  - name: Routing
    description: 버전이 지정된 모델 대상, 가중치, 요청 매개변수.
  - name: Datasets
    description: 재현 가능한 데이터 스냅샷, 항목, 레이블 재지정, 재사용 가능한 모델 출력.
  - name: Fine-tunes
    description: 지도 파인튜닝 작업 및 호스팅된 모델 아티팩트.
  - name: Evaluations
    description: 직접 비교, 완전 일치, 범주화 평가.
  - name: Analytics
    description: 작업 트래픽, 토큰, 오류, 예상 비용 조회 모델.
  - name: UI preferences
    description: UI에서 사용하는 작업별 표시 기본 설정.
paths:
  /tasks/{alias}/datasets/{datasetId}/comparison-outputs:
    parameters:
      - $ref: '#/components/parameters/WandbEntity'
      - $ref: '#/components/parameters/TaskAlias'
      - $ref: '#/components/parameters/DatasetId'
    post:
      tags:
        - Datasets
      summary: 비교 모델 출력 확인
      description: 누락된 검증 출력만 큐에 추가하고 조건에 맞는 캐시된 생성 결과를 재사용합니다.
      operationId: ensureComparisonOutputs
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                outputs:
                  maxItems: 64
                  type: array
                  items:
                    type: object
                    properties:
                      output_key:
                        type: string
                        minLength: 1
                        maxLength: 600
                      model_ref:
                        type: string
                        pattern: ^[a-z0-9][a-z0-9_-]{0,63}\/\S+$
                    required:
                      - output_key
                      - model_ref
                    additionalProperties: false
              required:
                - outputs
              additionalProperties: false
      responses:
        '202':
          description: 출력 생성 상태입니다.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DatasetOutputGeneration'
        default:
          $ref: '#/components/responses/Error'
components:
  parameters:
    WandbEntity:
      name: Wandb-Entity
      in: header
      required: false
      description: 액세스 가능한 개인 또는 팀 entity. 인증된 사용자의 기본 entity를 사용하려면 생략하세요.
      schema:
        type: string
    TaskAlias:
      name: alias
      in: path
      required: true
      schema:
        type: string
        pattern: ^[a-z0-9-]{1,64}$
    DatasetId:
      name: datasetId
      in: path
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    DatasetOutputGeneration:
      type: object
      additionalProperties: true
      properties:
        id:
          type: string
          format: uuid
        output_key:
          type: string
        model_ref:
          $ref: '#/components/schemas/ModelRef'
        status:
          type: string
          enum:
            - queued
            - running
            - completed
            - failed
        output_count:
          type: integer
        total_count:
          type: integer
        error:
          type:
            - string
            - 'null'
    ModelRef:
      type: string
      pattern: ^[a-z0-9][a-z0-9_-]{0,63}/\S+$
      example: openai/gpt-5.6-sol
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
            type:
              type: string
      example:
        error:
          message: Task 'missing' not found in entity 'your-team'
          type: not_found
  responses:
    Error:
      description: 요청이 실패했습니다.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    WandbCredential:
      type: http
      scheme: bearer
      bearerFormat: W&B API key
      description: W&B API 키.

````